### Constructor

# Ide Notifications new

#### Declaration

    IdeNotifications*
    ide_notifications_new (
      void
    )

#### Description

Create a new `IdeNotifications`.

Usually, creating this is not necessary, as the `IdeContext` root `IdeObject` will create it automatically.

Available since: | 3.32

#### Return value

Returns: | `IdeNotifications`
| A newly created `IdeNotifications`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.